### Virtual Method

# Foundry Sdk install

#### Declaration [src]

    DexFuture*
    install (
      FoundrySdk* self,
      FoundryOperation* operation,
      DexCancellable* cancellable
    )

#### Description [src]

Installs an SDK.

#### Parameters

`operation`

  Type: `FoundryOperation`

  A `FoundryOperation`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `DexCancellable`

  A `DexCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a boolean.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.